/v2/publishers/{publisherId}/markets/{marketId}/products/search
POST
https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/search
Path Parameters
- publisherIdinteger<int32>requiredFormatint32
- marketIdinteger<int32>requiredFormatint32
Body Parameters
- bodyProductSearchCursorRequestrequired
- filtersFilterValuesProductFilterField[]
- fieldstring<GTIN | BRAND | CATEGORY_ID | REMOVED>AllowedGTINBRANDCATEGORY_IDREMOVED
- valuesobject[]
- limitinteger<int32>requiredFormatint32Minimum1Maximum10000
- fromstringMin Length0Max Length1000Pattern^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$
Responses
200
- CursorResponseProductResponse
- detailedProductResponse[]
- gtinstring
- productGroupIdstring
- titlestring
- brandstring
- imageUrlstring
- pricenumber
- priceSalenumber
- priceCurrencystring
- availabilitystring<IN_STOCK | IN_STOCK_REGIONAL | OUT_OF_STOCK | REMOVED>AllowedIN_STOCKIN_STOCK_REGIONALOUT_OF_STOCKREMOVED
- productCategoriesIdNameResponse[]
- idinteger<int32>Formatint32
- namestring
- removedboolean
- nextstring
401
403
404
- ExceptionResponse
- messagesstring[]
422
- ExceptionResponse
- messagesstring[]
curl
curl --request POST \
--url https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/search \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"limit": 0
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"limit": 0
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/search", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/search")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"limit": 0
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://<pcm-domain>/v2/publishers/{publisherId}/markets/{marketId}/products/search"
payload = json.dumps({
"limit": 0
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"detailed": [
{
"gtin": "",
"productGroupId": "",
"title": "",
"brand": "",
"imageUrl": "",
"price": 0,
"priceSale": 0,
"priceCurrency": "",
"availability": "",
"productCategories": [
{
"id": "",
"name": ""
}
],
"removed": false
}
],
"next": ""
}401
// Unauthorized
403
// Forbidden
404
// Not Found
{
"messages": [
""
]
}422
// Unprocessable Entity
{
"messages": [
""
]
}